| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreMaterialSerializer.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreTextureUnitState.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreStringVector.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
struct | Ogre::MaterialScriptContext
| Struct for holding the script context while parsing. More...
struct | Ogre::MaterialScriptProgramDefinition
| Struct for holding a program definition which is in progress. More...
class | Ogre::MaterialSerializer
| Class for serializing Materials to / from a .material script. More...
class | Ogre::MaterialSerializer::Listener
| Class that allows listening in on the various stages of material serialization process. More...

## Namespaces
| Ogre

## Typedefs
typedef bool(* | Ogre::ATTRIBUTE_PARSER) (String &params, MaterialScriptContext &context)
| Function def for material attribute parser; return value determines if the next line should be {. More...

## Enumerations
enum | Ogre::MaterialScriptSection { Ogre::MSS_NONE, Ogre::MSS_MATERIAL, Ogre::MSS_TECHNIQUE, Ogre::MSS_PASS, Ogre::MSS_TEXTUREUNIT, Ogre::MSS_PROGRAM_REF, Ogre::MSS_PROGRAM, Ogre::MSS_DEFAULT_PARAMETERS, Ogre::MSS_TEXTURESOURCE }
| Enum to identify material sections. More...